Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003257 [JEDI VCL] 00 JVCL Components minor always 2005-10-06 00:33 2005-11-22 09:29
Reporter spoooky View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.00
Summary 0003257: JvFuctions help ?
Description When i try to compile my program i get this error from the JvFuctions.pas


if not (CharIsNumber(Ch) or (Ch = DecimalSeparator) then //Az


When i dubble click in first error i get the cursor inside the first (ch)
Build
  [Error] JvFunctions.pas(1470): Missing operator or semicolon
  [Error] JvFunctions.pas(1470): Operator not applicable to this operand type
  [Fatal Error] JvVCLUtils.pas(371): Could not compile used unit 'JvFunctions.pas'


I dont understand where is the fault please help me.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0008005)
boerema1 (reporter)
2005-10-08 11:27

JvFunctions has been moved to Archive and has been replaced by JvJCLUtils. You should consider upgrading to JVCL version 3.

According to JvJCLUtils that line should read:
    if (not CharIsNumber(Ch)) or (Ch = DecimalSeparator) then //Az
(0008146)
obones (administrator)
2005-11-22 09:29

Use the daily snapshots from here:

http://jvcl.sf.net/daily/ [^]

- Issue History
Date Modified Username Field Change
2005-10-06 00:33 spoooky New Issue
2005-10-08 11:27 boerema1 Note Added: 0008005
2005-11-22 09:29 obones Status new => resolved
2005-11-22 09:29 obones Resolution open => fixed
2005-11-22 09:29 obones Assigned To => obones
2005-11-22 09:29 obones Note Added: 0008146


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker